commit:     35bd9fb96d8171607f4b6cf84aaebac12d2a6b18
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 21 23:20:38 2020 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Fri Aug 21 23:20:38 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=35bd9fb9

dev-python/pygraphviz: Version bump to 1.6

Bug: https://bugs.gentoo.org/732224
Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 dev-python/pygraphviz/Manifest              |  1 +
 dev-python/pygraphviz/pygraphviz-1.6.ebuild | 44 +++++++++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/dev-python/pygraphviz/Manifest b/dev-python/pygraphviz/Manifest
index 2301c1c36ac..b81426376a4 100644
--- a/dev-python/pygraphviz/Manifest
+++ b/dev-python/pygraphviz/Manifest
@@ -1 +1,2 @@
 DIST pygraphviz-1.5.zip 117810 BLAKE2B 
e9139d6b8e01cacb3135b1ccd2fa8624c041b7a04848f66c7668c5acf55cf66380ab9f05193b1bb240133f0c01a21915e2314807fcde23246c287d22efb9450a
 SHA512 
6d3df6642a7e23ecb6b687761480b80a3ee5886508ef50b81697041425be7d09d623bf46990c5cea3ef36817a28d9e5c2905eb32267296f55524fdedb2199ea2
+DIST pygraphviz-1.6.zip 117043 BLAKE2B 
a6c4f28d67ff67bf3fb69869adaad23855c6d702663cfea648b2072b8a5095caaa3d9cfcc864354a362cc6c4c2c6e4a15d5977c58c6af5e22b02f8cea8f7e877
 SHA512 
6dd389b3fd8c46fd5c8a5a450623f2fe080f720bcf0812618549d092cf917b56ef515f4235fdb89123ece422c6e295705bb08076a3d3e9b193955fcda624acb3

diff --git a/dev-python/pygraphviz/pygraphviz-1.6.ebuild 
b/dev-python/pygraphviz/pygraphviz-1.6.ebuild
new file mode 100644
index 00000000000..e53d8c41238
--- /dev/null
+++ b/dev-python/pygraphviz/pygraphviz-1.6.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python wrapper for the Graphviz Agraph data structure"
+HOMEPAGE="https://pygraphviz.github.io/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.zip"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~x86-linux ~ppc-macos ~x64-macos 
~x86-macos"
+
+# Note: only C API of graphviz is used, PYTHON_USEDEP unnecessary.
+RDEPEND="media-gfx/graphviz"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       app-arch/unzip
+       dev-lang/swig:0
+       test? ( dev-python/doctest-ignore-unicode[${PYTHON_USEDEP}] )"
+
+distutils_enable_tests nose
+
+PATCHES=( "${FILESDIR}"/${PN}-1.5-docs.patch )
+
+python_prepare_all() {
+       distutils-r1_python_prepare_all
+       swig -python pygraphviz/graphviz.i || die
+}
+
+python_test() {
+       nosetests -c setup.cfg -x -v "${BUILD_DIR}"/lib/pygraphviz || die
+}
+
+python_install_all() {
+       dodoc -r examples
+       docompress -x /usr/share/doc/${PF}/examples
+
+       distutils-r1_python_install_all
+}

Reply via email to